## org.mortbay.util.ajax
Class JSON.ReaderSource

    java.lang.Object
      org.mortbay.util.ajax.JSON.ReaderSource

All Implemented Interfaces:
  JSON.Source

Enclosing class:
  JSON

    public static class JSON.ReaderSource

extends Object
implements JSON.Source

Constructor Summary
`JSON.ReaderSource(Reader r)`

Method Summary
`boolean` `hasNext()`
`char` `next()`
`char` `peek()`
`char[]` `scratchBuffer()`
`void` `setReader(Reader reader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSON.ReaderSource

    public JSON.ReaderSource(Reader r)

Method Detail

### setReader

    public void setReader(Reader reader)

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `JSON.Source`

### next

    public char next()

  Specified by:
    `next` in interface `JSON.Source`

### peek

    public char peek()

  Specified by:
    `peek` in interface `JSON.Source`

### scratchBuffer

    public char[] scratchBuffer()

  Specified by:
    `scratchBuffer` in interface `JSON.Source`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.